Installation

pointpats supports python 3.5 and 3.6 only. Please make sure that you are operating in a python 3 environment.

Installing released version

pointpats is available on the Python Package Index. Therefore, you can either install directly with pip from the command line:

pip install -U pointpats

or download the source distribution (.tar.gz) and decompress it to your selected destination. Open a command shell and navigate to the decompressed folder. Type:

pip install .

Installing development version

Potentially, you might want to use the newest features in the development version of pointpats on github - pysal/pointpats while have not been incorporated in the Pypi released version. You can achieve that by installing pysal/pointpats by running the following from a command shell:

pip install git+https://github.com/pysal/pointpats.git

You can also fork the pysal/pointpats repo and create a local clone of your fork. By making changes to your local clone and submitting a pull request to pysal/pointpats, you can contribute to the pointpats development.